Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
Jira Service Management ops / Reference / REST API

Status Page

Postman Collection
OpenAPI

The Status Page API is designed to manage stakeholder-facing status pages, components, incidents, subscribers, and their assignments in Jira Service Management. This resource represents the contracts used to create, read, update, and delete status page configuration and audience data, and to query derived views such as summaries, uptime information, and incident-driven stakeholder lists. For understanding Authentication with REST APIs, refer here.

GET

Get page by IDExperimental

Get a Status page by its ID.

read:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsPageResponse

Response containing a Status page (live or draft).

GET/pages/{pageId}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
PUT

Update pageExperimental

Update the status page.

write:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Request bodyapplication/json

page

object

Required

Responses

Returned if the page is successfully updated.

application/json

StakeholderCommsPageResponse

Response containing a Status page (live or draft).

PUT/pages/{pageId}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 curl --request PUT \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "page": { "name": "<string>", "subdomain": "<string>", "domain": "<string>", "description": "<string>", "timezone": "<string>", "pageType": "PUBLIC", "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ { "label": "<string>", "url": "<string>", "position": 29 } ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ { "label": "<string>", "url": "<string>", "position": 29 } ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" } } }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
POST

Soft delete pageExperimental

Archive the status page.

delete:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Request bodyapplication/json

deletedBy

string

Responses

Returned if the page is successfully soft deleted.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/pages/{pageId}/soft_delete
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/soft_delete' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "deletedBy": "<string>" }'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
POST

Create pageExperimental

Create a new status page.

write:stakeholder-comms.page:jira-service-management

Request

Request bodyapplication/json

page

object

Required

Responses

Returned if the page is successfully created.

application/json

StakeholderCommsPageResponse

Response containing a Status page (live or draft).

POST/pages
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "page": { "name": "<string>", "subdomain": "<string>", "domain": "<string>", "description": "<string>", "timezone": "<string>", "pageType": "PUBLIC", "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ { "label": "<string>", "url": "<string>", "position": 29 } ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ { "label": "<string>", "url": "<string>", "position": 29 } ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" } } }'
201Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
POST

Permanently delete pageExperimental

Permanently delete a Stakeholder Comms page.

delete:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Request bodyapplication/json

deletedBy

string

Responses

Returned if the page is permanently deleted.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/pages/{pageId}/permanent_delete
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/permanent_delete' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "deletedBy": "<string>" }'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
POST

Delete pageExperimental

Delete a Status page.

delete:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Responses

Returned if the page is successfully deleted.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/pages/{pageId}/delete
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/delete' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
POST

Delete page permanently (alias)Experimental

Permanently delete a Status page. Alias of /pages/{pageId}/permanent_delete.

delete:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Request bodyapplication/json

deletedBy

string

Responses

Returned if the page is successfully permanently deleted.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/pages/{pageId}/delete_permanently
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/delete_permanently' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "deletedBy": "<string>" }'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
POST

Recover pageExperimental

Recover a soft-deleted Status page.

write:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Responses

Returned if the page is successfully recovered.

application/json

StakeholderCommsPageResponse

Response containing a Status page (live or draft).

POST/pages/{pageId}/recover
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/recover' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
POST

Recover deleted pageExperimental

Recover a hard-deleted Status page.

write:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Responses

Returned if the page is successfully recovered.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/pages/{pageId}/recover_deleted
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/recover_deleted' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
POST

Unpublish pageExperimental

Unpublish a Status page.

write:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Responses

Returned if the page is successfully unpublished.

application/json

StakeholderCommsPageResponse

Response containing a Status page (live or draft).

POST/pages/{pageId}/unpublish
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/unpublish' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
GET

Get page summary detailsExperimental

Get summary details for a status page, its components and system health.

read:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsPageSummaryDetailsResponse

Response containing detailed summary information for a page.

GET/pages/{pageId}/summary
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/summary' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "pageSummaryDetails": { "componentCount": 33, "health": "HEALTHY", "subscribersCount": 34, "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" } }, "error": "<string>" }
GET

Get page uptime percentageExperimental

Get the uptime percentage for a status page over a given period.

read:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Query parameters

from

string

to

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsPageUptimePercentageResponse

Uptime percentage information for a status page.

GET/pages/{pageId}/uptime_percentage
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/uptime_percentage' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 { "pageId": "<string>", "uptimePercentage": 57, "from": "<string>", "to": "<string>", "error": "<string>" }
GET

Get page by nameExperimental

Get a Status page by its name.

read:stakeholder-comms.page:jira-service-management

Request

Path parameters

name

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsPageResponse

Response containing a Status page (live or draft).

GET/pages/by_name/{name}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/by_name/{name}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
GET

Check if Status page name is uniqueExperimental

Check if a page name is unique and available for use.

read:stakeholder-comms.page:jira-service-management

Request

Path parameters

name

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsValidationResponse

Response for validation operations.

GET/pages/validate/name/{name}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/validate/name/{name}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 { "valid": true, "message": "<string>", "error": "<string>" }
GET

Get unique subdomain suggestionExperimental

Get a unique subdomain suggestion for a Status page based on the page name.

read:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageName

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsSubdomainSuggestionResponse

Response containing a suggested subdomain.

GET/pages/subdomain/suggest/{pageName}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/subdomain/suggest/{pageName}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 { "suggestion": "<string>", "error": "<string>" }
GET

Check if subdomain is availableExperimental

Check if a subdomain is available for use.

read:stakeholder-comms.page:jira-service-management

Request

Path parameters

subdomain

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsValidationResponse

Response for validation operations.

GET/pages/subdomain/validate/{subdomain}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/subdomain/validate/{subdomain}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 { "valid": true, "message": "<string>", "error": "<string>" }
GET

Get pages summary by cloud IDExperimental

Get summary of all Status pages for a given cloud ID.

read:stakeholder-comms.page:jira-service-management

Request

Query parameters

filter

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsPagesSummaryByCloudIdResponse

Response indicating that the status page was listed successfully.

GET/pages/summary
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/summary' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 { "pages": [ { "id": "<string>", "name": "<string>", "domain": "<string>", "customDomain": "<string>", "componentCount": 33, "stakeholderCount": 44, "isDraft": true, "status": "DRAFT", "pageType": "PUBLIC", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" } } ], "error": "<string>" }
GET

Get pages summary by cloud ID V2Experimental

Get summary of all Status pages for a given cloud ID (V2).

read:stakeholder-comms.page:jira-service-management

Request

Query parameters

filter

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsPagesSummaryByCloudIdResponse

Response indicating that the status page was listed successfully.

GET/pages/summary/v2
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/summary/v2' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 { "pages": [ { "id": "<string>", "name": "<string>", "domain": "<string>", "customDomain": "<string>", "componentCount": 33, "stakeholderCount": 44, "isDraft": true, "status": "DRAFT", "pageType": "PUBLIC", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" } } ], "error": "<string>" }
POST

Create draft pageExperimental

Create a new draft Status page.

write:stakeholder-comms.page:jira-service-management

Request

Request bodyapplication/json

page

object

Required

Responses

Returned if the draft page is successfully created.

application/json

StakeholderCommsPageResponse

Response containing a Status page (live or draft).

POST/pages/draft
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/draft' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "page": { "name": "<string>", "subdomain": "<string>", "domain": "<string>", "description": "<string>", "timezone": "<string>", "pageType": "PUBLIC", "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" } } }'
201Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
GET

Get draft page by IDExperimental

Get a draft Status page by its ID.

read:stakeholder-comms.page:jira-service-management

Request

Path parameters

pageId

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsPageResponse

Response containing a Status page (live or draft).

GET/pages/draft/{pageId}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/draft/{pageId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
PUT

Update draft pageExperimental

Update a draft Status page.

write:stakeholder-comms.page:jira-service-management

Request

Path parameters

draftPageId

string

Required

Request bodyapplication/json

page

object

Required

Responses

Returned if the draft page is successfully updated.

application/json

StakeholderCommsPageResponse

Response containing a Status page (live or draft).

PUT/pages/draft/{draftPageId}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 curl --request PUT \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/draft/{draftPageId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "page": { "name": "<string>", "subdomain": "<string>", "domain": "<string>", "description": "<string>", "timezone": "<string>", "pageType": "PUBLIC", "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" } } }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
POST

Delete draft pageExperimental

Delete a draft Status page.

delete:stakeholder-comms.page:jira-service-management

Request

Path parameters

draftPageId

string

Required

Responses

Returned if the draft Status page is successfully deleted.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/pages/draft/{draftPageId}/delete
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/draft/{draftPageId}/delete' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
GET

Get draft page by nameExperimental

Get a draft Status page by its name.

read:stakeholder-comms.page:jira-service-management

Request

Path parameters

name

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsPageResponse

Response containing a Status page (live or draft).

GET/pages/draft/by_name/{name}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/draft/by_name/{name}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
POST

Publish draft pageExperimental

Publish a draft Status page.

write:stakeholder-comms.page:jira-service-management

Request

Path parameters

draftPageId

string

Required

Responses

Returned if the draft status page is successfully published.

application/json

StakeholderCommsPageResponse

Response containing a Status page (live or draft).

POST/pages/draft/{draftPageId}/publish
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/draft/{draftPageId}/publish' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
POST

Batch process draft componentsExperimental

Create, update, or delete draft components for a Status page in a single batch operation.

write:stakeholder-comms.component:jira-service-management

Request

Request bodyapplication/json

pageId

string

createUpdateComponents

array<StakeholderCommsNestedDraftComponentInput>

deleteComponents

array<string>

Responses

Returned if the batch operation is successfully processed.

application/json

array<StakeholderCommsNestedComponent>

POST/components/batch_process
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/components/batch_process' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "pageId": "<string>", "createUpdateComponents": [ { "id": "<string>", "pageId": "<string>", "name": "<string>", "description": "<string>", "status": "OPERATIONAL", "serviceId": "<string>", "type": "COMPONENT", "position": 47, "components": [] } ], "deleteComponents": [ "<string>" ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 [ { "id": "<string>", "name": "<string>", "pageId": "<string>", "serviceId": "<string>", "status": "OPERATIONAL", "type": "COMPONENT", "description": "<string>", "position": 34, "components": [] } ]
GET

List components in draft for a status page.Experimental

List components in draft for a status page.

read:stakeholder-comms.component:jira-service-management

Request

Path parameters

pageId

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsPageDraftComponentResponse

Response containing a list of draft components for a page.

GET/pages/{pageId}/components/draft
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/components/draft' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "components": [ { "id": "<string>", "name": "<string>", "pageId": "<string>", "serviceId": "<string>", "status": "OPERATIONAL", "type": "COMPONENT", "description": "<string>", "position": 34, "components": [] } ], "error": "<string>" }
GET

Get components uptime for pageExperimental

Get uptime information for components associated with a Status page over a given period.

read:stakeholder-comms.component:jira-service-management

Request

Path parameters

pageId

string

Required

Query parameters

startDate

string

endDate

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsPageComponentsWithUptimeResponse

Uptime information for multiple components.

GET/pages/{pageId}/components/uptime
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/components/uptime' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 { "pageComponentsUptime": [ { "id": "<string>", "name": "<string>", "status": "<string>", "componentUptimePercentage": 62 } ], "error": "<string>" }
GET

Get a paginated list of components in draft for the status pageExperimental

Get a paginated list of components in draft for the status page

read:stakeholder-comms.component:jira-service-management

Request

Path parameters

pageId

string

Required

Query parameters

first

integer

after

string

last

integer

before

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsNestedComponentConnection

Paginated response for draft components.

GET/pages/{pageId}/components/draft/v2
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/components/draft/v2' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 { "components": [ { "id": "<string>", "name": "<string>", "pageId": "<string>", "serviceId": "<string>", "status": "OPERATIONAL", "type": "COMPONENT", "description": "<string>", "position": 34, "components": [] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>", "hasPreviousPage": true, "startCursor": "<string>" }, "totalCount": 33, "error": "<string>" }
GET

Get components uptime for page with paginationExperimental

Get uptime information for components associated with a Status page with pagination support.

read:stakeholder-comms.component:jira-service-management

Request

Path parameters

pageId

string

Required

Query parameters

startDate

string

endDate

string

searchTerm

string

statusFilter

array<string>

first

integer

after

string

last

integer

before

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsNestedComponentWithUptimeConnection

Paginated response for component uptime.

GET/pages/{pageId}/components/uptime/v2
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/pages/{pageId}/components/uptime/v2' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 { "components": [ { "id": "<string>", "name": "<string>", "status": "<string>", "componentUptimePercentage": 62 } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>", "hasPreviousPage": true, "startCursor": "<string>" }, "totalCount": 27, "error": "<string>" }
GET

Get component with uptimeExperimental

Get a component with its uptime information by component ID.

read:stakeholder-comms.component:jira-service-management

Request

Path parameters

componentId

string

Required

Query parameters

startDate

string

endDate

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsNestedComponentWithUptime

Uptime information for a component.

GET/components/{componentId}/uptime
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/components/{componentId}/uptime' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 { "id": "<string>", "name": "<string>", "status": "<string>", "componentUptimePercentage": 62 }
GET

Get component uptime percentageExperimental

Get the uptime percentage for a component over a given period.

read:stakeholder-comms.component:jira-service-management

Request

Path parameters

componentId

string

Required

Query parameters

from

string

to

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsNestedComponentWithUptimePercentageResponse

Response containing component uptime percentage.

GET/components/{componentId}/uptime_percentage
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/components/{componentId}/uptime_percentage' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 { "componentId": "<string>", "uptimePercentage": 36, "from": "<string>", "to": "<string>", "error": "<string>" }
GET

List incidentsExperimental

List the incidents mentioned or updated on status page.

read:stakeholder-comms.incident:jira-service-management

Request

Query parameters

cursor

string

limit

integer

Responses

Returned if the request is successful.

application/json

StakeholderCommsIncidentWithUpdatesConnection

Connection-style response for listing incidents.

GET/incidents/list
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/incidents/list' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 { "nodes": [ { "incident": { "id": "<string>", "name": "<string>", "pageId": "<string>", "status": "INVESTIGATING", "impact": "NONE", "createdAt": "<string>", "updatedAt": "<string>", "startedAt": "<string>", "monitoringAt": "<string>", "scheduledFor": "<string>", "scheduledUntil": "<string>", "lastRemindedAt": "<string>", "autoInProgress": true, "autoCompleted": true, "reminderIntervals": [ 2154 ], "components": [ {} ], "templateId": "<string>", "externalIncidentId": "<string>", "externalIncidentSource": "JSM", "updateNeededAt": "<string>", "shortlink": "<string>" }, "incidentUpdates": [ { "incidentId": "<string>", "status": "INVESTIGATING", "body": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "scheduledAt": "<string>", "hidden": true, "oldStatus": "<string>", "affectedComponents": [ {} ], "shouldSendNotifications": true } ] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>" }, "totalCount": 46 }
PUT

Update incidentExperimental

Update an incident for stakeholder communication.

write:stakeholder-comms.incident:jira-service-management

Request

Request bodyapplication/json

incidentUpdateRequest

object

Required

Responses

Returned if the incident is successfully updated.

application/json

StakeholderCommsIncidentResponse

Response for incident operations (get, create, update).

PUT/incidents
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 curl --request PUT \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/incidents' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "incidentUpdateRequest": { "pageId": "<string>", "name": "<string>", "jiraIncidentId": "<string>", "message": "<string>", "status": "INVESTIGATING", "impact": "NONE", "affectedComponents": [ { "componentId": "<string>", "status": "OPERATIONAL" } ], "shouldSendNotifications": true } }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "incidentWithUpdates": { "incident": { "id": "<string>", "name": "<string>", "pageId": "<string>", "status": "INVESTIGATING", "impact": "NONE", "createdAt": "<string>", "updatedAt": "<string>", "startedAt": "<string>", "monitoringAt": "<string>", "scheduledFor": "<string>", "scheduledUntil": "<string>", "lastRemindedAt": "<string>", "autoInProgress": true, "autoCompleted": true, "reminderIntervals": [ 2154 ], "components": [ {} ], "templateId": "<string>", "externalIncidentId": "<string>", "externalIncidentSource": "JSM", "updateNeededAt": "<string>", "shortlink": "<string>" }, "incidentUpdates": [ { "incidentId": "<string>", "status": "INVESTIGATING", "body": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "scheduledAt": "<string>", "hidden": true, "oldStatus": "<string>", "affectedComponents": [ {} ], "shouldSendNotifications": true } ] }, "error": "<string>" }
POST

Create incidentExperimental

Create a new incident in Status page.

write:stakeholder-comms.incident:jira-service-management

Request

Request bodyapplication/json

incidentCreateRequest

object

Required

Responses

Returned if the incident is successfully created.

application/json

StakeholderCommsIncidentResponse

Response for incident operations (get, create, update).

POST/incidents
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/incidents' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "incidentCreateRequest": { "pageId": "<string>", "name": "<string>", "jiraIncidentId": "<string>", "message": "<string>", "status": "INVESTIGATING", "impact": "NONE", "affectedComponents": [ { "componentId": "<string>", "status": "OPERATIONAL" } ], "shouldSendNotifications": true } }'
201Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "incidentWithUpdates": { "incident": { "id": "<string>", "name": "<string>", "pageId": "<string>", "status": "INVESTIGATING", "impact": "NONE", "createdAt": "<string>", "updatedAt": "<string>", "startedAt": "<string>", "monitoringAt": "<string>", "scheduledFor": "<string>", "scheduledUntil": "<string>", "lastRemindedAt": "<string>", "autoInProgress": true, "autoCompleted": true, "reminderIntervals": [ 2154 ], "components": [ {} ], "templateId": "<string>", "externalIncidentId": "<string>", "externalIncidentSource": "JSM", "updateNeededAt": "<string>", "shortlink": "<string>" }, "incidentUpdates": [ { "incidentId": "<string>", "status": "INVESTIGATING", "body": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "scheduledAt": "<string>", "hidden": true, "oldStatus": "<string>", "affectedComponents": [ {} ], "shouldSendNotifications": true } ] }, "error": "<string>" }
GET

List incident templatesExperimental

List incident templates used for stakeholder communciations.

read:stakeholder-comms.incident:jira-service-management

Request

Query parameters

pageId

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsListIncidentTemplateResponse

Response containing a list of incident templates.

GET/incidents/templates/list
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/incidents/templates/list' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 { "incidentTemplates": [ { "id": "<string>", "pageId": "<string>", "name": "<string>", "body": "<string>", "title": "<string>", "groupId": "<string>", "updateStatus": "INVESTIGATING", "shouldTweet": true, "shouldSendNotifications": true, "createAt": "<string>", "updatedAt": "<string>" } ], "error": "<string>" }
GET

Get incident templateExperimental

Get an incident template by its ID.

read:stakeholder-comms.incident:jira-service-management

Request

Path parameters

incidentTemplateId

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsIncidentTemplateResponse

Response containing an incident template.

GET/incidents/templates/{incidentTemplateId}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/incidents/templates/{incidentTemplateId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "incidentTemplate": { "id": "<string>", "pageId": "<string>", "name": "<string>", "body": "<string>", "title": "<string>", "groupId": "<string>", "updateStatus": "INVESTIGATING", "shouldTweet": true, "shouldSendNotifications": true, "createAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
GET

Get incident by various identifiersExperimental

Get an incident by various identifiers such as incident ID, issue key, or other unique identifiers.

read:stakeholder-comms.incident:jira-service-management

Request

Query parameters

incidentId

string

incidentCode

string

externalIncidentId

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsIncidentResponse

Response for incident operations (get, create, update).

GET/incidents/get
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/incidents/get' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 { "page": { "id": "<string>", "name": "<string>", "subdomain": "<string>", "domain": "<string>", "version": 27, "url": "<string>", "description": "<string>", "timezone": "<string>", "privacyPolicyUrl": "<string>", "helpCenterUrl": "<string>", "cloudId": "<string>", "deletedAt": "<string>", "unpublishedAt": "<string>", "components": [ "<string>" ], "pageTheme": "BLANK", "pageThemeMode": "LIGHT", "seoConfig": { "enabled": true, "title": "<string>", "description": "<string>", "keywords": "<string>" }, "googleAnalyticsEnabled": true, "statusEmbedEnabled": true, "allowPageSubscribers": true, "activityScore": 27, "hiddenFromSearch": true, "googleAnalyticsTrackingId": "<string>", "allowRssAtomFields": true, "blackHole": true, "createdBy": "<string>", "externalAccounts": [ "<string>" ], "bodyConfig": { "uptimeStyle": "DETAIL_CARD", "overallUptimeDisplay": true, "overallUptimeRange": 41, "enableSearchAndFilter": true, "componentStyle": "CARD", "numberOfCardsPerRow": 34, "componentUptimeDisplay": true, "componentUptimeRange": 47 }, "footerData": { "footerLogoId": "<string>", "footerText": "<string>", "copyrightText": "<string>", "links": [ {} ] }, "headerData": { "coverImageId": "<string>", "headerLogoId": "<string>", "faviconIconId": "<string>", "headerText": "<string>", "coverImageImmersive": true, "links": [ {} ] }, "colours": { "cssBodyBackgroundColor": "<string>", "cssFontColor": "<string>", "cssLightFontColor": "<string>", "cssGreenColor": "<string>", "cssYellowColor": "<string>", "cssOrangeColor": "<string>", "cssRedColor": "<string>", "cssBorderColor": "<string>", "cssGraphColor": "<string>", "cssLinkColor": "<string>", "cssBlueColor": "<string>", "cssNoDataColor": "<string>" }, "customCss": "<string>", "customHeaderHtml": "<string>", "customFooterHtml": "<string>", "pageType": "PUBLIC", "pageStatus": "DRAFT", "customDomainConfig": { "domain": "<string>", "sslStatus": "NOT_CONFIGURED", "recordTypes": [ {} ], "certificateExpiresAt": "<string>" }, "createdAt": "<string>", "updatedAt": "<string>" }, "incidentWithUpdates": { "incident": { "id": "<string>", "name": "<string>", "pageId": "<string>", "status": "INVESTIGATING", "impact": "NONE", "createdAt": "<string>", "updatedAt": "<string>", "startedAt": "<string>", "monitoringAt": "<string>", "scheduledFor": "<string>", "scheduledUntil": "<string>", "lastRemindedAt": "<string>", "autoInProgress": true, "autoCompleted": true, "reminderIntervals": [ 2154 ], "components": [ {} ], "templateId": "<string>", "externalIncidentId": "<string>", "externalIncidentSource": "JSM", "updateNeededAt": "<string>", "shortlink": "<string>" }, "incidentUpdates": [ { "incidentId": "<string>", "status": "INVESTIGATING", "body": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "scheduledAt": "<string>", "hidden": true, "oldStatus": "<string>", "affectedComponents": [ {} ], "shouldSendNotifications": true } ] }, "error": "<string>" }
GET

List incidents with paginationExperimental

Get a paginated list of incidents managed through stakeholder communication.

read:stakeholder-comms.incident:jira-service-management

Request

Query parameters

pageId

string

showActive

boolean

first

integer

after

string

last

integer

before

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsIncidentWithUpdatesConnection

Connection-style response for listing incidents.

GET/incidents/list/v2
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/incidents/list/v2' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 { "nodes": [ { "incident": { "id": "<string>", "name": "<string>", "pageId": "<string>", "status": "INVESTIGATING", "impact": "NONE", "createdAt": "<string>", "updatedAt": "<string>", "startedAt": "<string>", "monitoringAt": "<string>", "scheduledFor": "<string>", "scheduledUntil": "<string>", "lastRemindedAt": "<string>", "autoInProgress": true, "autoCompleted": true, "reminderIntervals": [ 2154 ], "components": [ {} ], "templateId": "<string>", "externalIncidentId": "<string>", "externalIncidentSource": "JSM", "updateNeededAt": "<string>", "shortlink": "<string>" }, "incidentUpdates": [ { "incidentId": "<string>", "status": "INVESTIGATING", "body": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "scheduledAt": "<string>", "hidden": true, "oldStatus": "<string>", "affectedComponents": [ {} ], "shouldSendNotifications": true } ] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>" }, "totalCount": 46 }
GET

List subscribersExperimental

Get a list of subscribers for a status page item.

read:stakeholder-comms.subscriber:jira-service-management

Request

Query parameters

itemType

string

Required
itemId

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsSubscriberConnectionResponse

Response containing a connection-style list of subscribers.

GET/subscribers/list
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/subscribers/list?itemType={itemType}&itemId={itemId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 { "connection": { "nodes": [ { "id": "<string>", "itemId": "<string>", "type": "INCIDENT_SUBSCRIBER", "status": "PENDING_CONFIRMATION", "email": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "componentIds": [ "<string>" ], "webhookEndpoint": "<string>", "skipConfirmation": true, "pageAccessUserId": "<string>", "phoneNumberDisplay": "<string>", "deactivatedAt": "<string>", "orphanedAt": "<string>", "quarantinedAt": "<string>", "confirmedAt": "<string>", "confirmationCode": "<string>", "shortCodeSubscriptionId": "<string>", "lastRemindedAt": "<string>", "subscriptionType": "EMAIL", "additionalInformation": [ "<string>" ], "slackChannelId": "<string>", "slackUserId": "<string>", "createdAt": "<string>", "updatedAt": "<string>" } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>" }, "totalCount": 48 }, "error": "<string>" }
POST

Create subscriberExperimental

Add a new subscriber for status page.

write:stakeholder-comms.subscriber:jira-service-management

Request

Request bodyapplication/json

subscriptionRequest

object

Required

Responses

Returned if the subscriber is successfully created.

application/json

StakeholderCommsSubscriber

A subscriber in Stakeholder Comms.

POST/subscribers
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/subscribers' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "subscriptionRequest": { "itemId": "<string>", "itemType": "INCIDENT_SUBSCRIBER", "subscriptionType": "EMAIL", "subscriptionData": { "phoneNumber": "<string>", "phoneCountry": "<string>", "email": "<string>", "webhookEndpoint": "<string>" }, "captchaToken": "<string>" } }'
201Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 { "id": "<string>", "itemId": "<string>", "type": "INCIDENT_SUBSCRIBER", "status": "PENDING_CONFIRMATION", "email": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "componentIds": [ "<string>" ], "webhookEndpoint": "<string>", "skipConfirmation": true, "pageAccessUserId": "<string>", "phoneNumberDisplay": "<string>", "deactivatedAt": "<string>", "orphanedAt": "<string>", "quarantinedAt": "<string>", "confirmedAt": "<string>", "confirmationCode": "<string>", "shortCodeSubscriptionId": "<string>", "lastRemindedAt": "<string>", "subscriptionType": "EMAIL", "additionalInformation": [ "<string>" ], "slackChannelId": "<string>", "slackUserId": "<string>", "createdAt": "<string>", "updatedAt": "<string>" }
POST

UnsubscribeExperimental

Unsubscribe a subscriber from a Status page.

delete:stakeholder-comms.subscriber:jira-service-management

Request

Request bodyapplication/json

token

string

Required

Responses

Returned if the subscriber is successfully unsubscribed.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/subscribers/unsubscribe
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/subscribers/unsubscribe' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "token": "<string>" }'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
POST

Validate subscriber tokenExperimental

Validate a subscriber token in Status page.

read:stakeholder-comms.subscriber:jira-service-management

Request

Request bodyapplication/json

token

string

Responses

Returned if the token is successfully validated.

application/json

StakeholderCommsSubscriberValidateTokenResponse

Response for validating a subscriber token.

POST/subscribers/validate_token
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/subscribers/validate_token' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "token": "<string>" }'
200Response
1 2 3 4 5 { "valid": true, "message": "<string>", "error": "<string>" }
GET

Get total subscribers in cloudExperimental

Get the total number of subscribers in the cloud for Status page.

read:stakeholder-comms.subscriber:jira-service-management

Request

This request has no parameters.

Responses

Returned if the request is successful.

application/json

StakeholderCommsSubscriberTotalInCloudResponse

Response containing the total number of subscribers in cloud for status page.

GET/subscribers/total_in_cloud
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/subscribers/total_in_cloud' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 { "totalCount": 41, "error": "<string>" }
GET

Get subscription statsExperimental

Get subscription statistics for a status page item.

read:stakeholder-comms.subscriber:jira-service-management

Request

Query parameters

itemId

string

Required
type

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsSubscriptionStatsResponse

Response containing subscription statistics for an item.

GET/subscribers/stats
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/subscribers/stats?itemId={itemId}&type={type}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "stats": { "itemId": "<string>", "itemType": "<string>", "totalQuotaUsed": 17, "countsByStatus": [ { "status": "<string>", "count": 2154 } ], "insertedAt": "<string>", "updatedAt": "<string>" }, "error": "<string>" }
GET

List subscribers with pagination and filtersExperimental

Get paginated list of subscribers with advanced filtering options.

read:stakeholder-comms.subscriber:jira-service-management

Request

Query parameters

pageId

string

cursor

string

limit

integer

Responses

Returned if the request is successful.

application/json

StakeholderCommsSubscriberConnection

Connection-style response for listing subscribers.

GET/subscribers/list/connection
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/subscribers/list/connection' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 { "nodes": [ { "id": "<string>", "itemId": "<string>", "type": "INCIDENT_SUBSCRIBER", "status": "PENDING_CONFIRMATION", "email": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "componentIds": [ "<string>" ], "webhookEndpoint": "<string>", "skipConfirmation": true, "pageAccessUserId": "<string>", "phoneNumberDisplay": "<string>", "deactivatedAt": "<string>", "orphanedAt": "<string>", "quarantinedAt": "<string>", "confirmedAt": "<string>", "confirmationCode": "<string>", "shortCodeSubscriptionId": "<string>", "lastRemindedAt": "<string>", "subscriptionType": "EMAIL", "additionalInformation": [ "<string>" ], "slackChannelId": "<string>", "slackUserId": "<string>", "createdAt": "<string>", "updatedAt": "<string>" } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>" }, "totalCount": 48 }
POST

Delete subscribersExperimental

Delete one or more subscribers from status page.

delete:stakeholder-comms.subscriber:jira-service-management

Request

Request bodyapplication/json

ids

array<string>

Responses

Returned if the subscribers are successfully deleted.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/subscribers/delete
1 2 3 4 5 6 7 8 9 10 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/subscribers/delete' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "ids": [ "<string>" ] }'
200Response
1 2 3 4 { "success": true, "message": "<string>" }

Rate this page: